## Project Overview

This is an Electron application designed to open Google Gemini

Key features:
- Opens google.com on launch.
- Registers a global keyboard shortcut (WIN+SHIFT+G) to show/focus the application window.
- Minimizes to the system tray when the window is "closed" instead of quitting. Clicking the tray icon restores the window.

## Tech Stack

- Electron
- Node.js
- HTML/CSS/JavaScript (though primarily interacting with an external site)

## Development Environment

- Package Manager: pnpm
- Main process logic: `main.js`
- Preload script: `preload.js` (if needed for future enhancements)
- Initial HTML: `index.html` (serves as a placeholder before loading Google)

## Important Notes for Copilot

- When modifying `main.js`, ensure that the tray functionality and global shortcut registration are preserved.
- The application's primary purpose is to display gemini.google.com
- Use `pnpm` for any package management commands.
- The main window should be created with `nodeIntegration: true` and `contextIsolation: false` if direct DOM manipulation of loaded pages is ever required (though not for the current google.com use case). For security, these are typically `false` and `true` respectively. Given we are loading an external site, we should stick to more secure defaults unless a specific feature requires otherwise.
- Ensure that paths in `main.js` (e.g., for `index.html` or icons) are correctly resolved using `path.join(__dirname, ...)`.
